## babeld 1.0.1

=== Makefile ===
PREFIX = /usr/local

CDEBUGFLAGS = -Os -g -Wall

DEFINES = $(PLATFORM_DEFINES)

CFLAGS = $(CDEBUGFLAGS) $(DEFINES) $(EXTRA_DEFINES)

LDLIBS = -lrt

SRCS = babeld.c net.c kernel.c util.c network.c source.c neighbour.c \
       route.c xroute.c message.c resend.c config.c local.c

OBJS = babeld.o net.o kernel.o util.o network.o source.o neighbour.o \
       route.o xroute.o message.o resend.o config.o local.o

babeld: $(OBJS)
	$(CC) $(CFLAGS) $(LDFLAGS) -o babeld $(OBJS) $(LDLIBS)

.SUFFIXES: .man .html

.man.html:
	rman -f html $< | \
	sed -e "s|<a href='babeld.8'|<a href=\"babeld.html\"|" \
            -e "s|<a href='\\(ahcp[-a-z]*\\).8'|<a href=\"../ahcp/\1.html\"|" \
	    -e "s|<a href='[^']*8'>\\(.*(8)\\)</a>|\1|" \
	> $@

babeld.html: babeld.man

.PHONY: all install install.minimal uninstall clean

all: babeld babeld.man

install.minimal: babeld
	-rm -f $(TARGET)$(PREFIX)/bin/babeld
	mkdir -p $(TARGET)$(PREFIX)/bin
	cp -f babeld $(TARGET)$(PREFIX)/bin

install: install.minimal all
	mkdir -p $(TARGET)$(PREFIX)/man/man8
	cp -f babeld.man $(TARGET)$(PREFIX)/man/man8/babeld.8

uninstall:
	-rm -f $(TARGET)$(PREFIX)/bin/babeld
	-rm -f $(TARGET)$(PREFIX)/man/man8/babeld.8

clean:
	-rm -f babeld babeld.html *.o *~ core TAGS gmon.out

kernel.o: kernel_netlink.c kernel_socket.c

=== debian/changelog ===
babeld (1.0.1-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 02 May 2010 10:32:34 +0200

babeld (1.0-1) unstable; urgency=low

  * New upstream release
  * Use /var/lib/babeld/state for the state

 -- Stéphane Glondu <glondu@debian.org>  Sun, 25 Apr 2010 17:24:12 +0200

babeld (0.98-1) unstable; urgency=low

  * New upstream release (Closes: #568906)
  * Install a default configuration file (Closes: #545072)
  * Add an initscript (Closes: #545071)
  * Bump Standards-Version to 3.8.4 (no changes)
  * Add missing copyright holders
  * Switch to 3.0 (quilt)
  * Upload to unstable

 -- Stéphane Glondu <glondu@debian.org>  Sun, 11 Apr 2010 10:33:41 +0200

babeld (0.96-1) experimental; urgency=low

  * Initial release (Closes: #543377)

 -- Stéphane Glondu <glondu@debian.org>  Fri, 28 Aug 2009 01:57:23 +0200

=== debian/control ===
Source: babeld
Section: net
Priority: extra
Maintainer: Stéphane Glondu <glondu@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Standards-Version: 3.8.4
Homepage: http://www.pps.jussieu.fr/~jch/software/babel/
Vcs-Browser: http://git.debian.org/?p=collab-maint/babeld.git
Vcs-Git: git://git.debian.org/git/collab-maint/babeld.git

Package: babeld
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: ahcpd
Description: a loop-free distance-vector routing protocol
 Babel is a distance-vector routing protocol for IPv6 and IPv4 with
 fast convergence properties. It was designed to be robust and
 efficient on both wireless mesh networks and classical wired
 networks.  Babel has extremely modest memory and CPU
 requirements. Unlike most routing protocols, which route either IPv4
 or IPv6 but not both at the same time, Babel is a hybrid IPv6 and
 IPv4 protocol: a single update packet can carry both IPv6 and IPv4
 routes (this is similar to how multi-protocol BGP works). This makes
 Babel particularly efficient on dual (IPv6 and IPv4) networks.

## babeld 1.1.1

=== debian/changelog ===
babeld (1.1.1-1) unstable; urgency=low

  * New upstream release
  * Add mention to RFC 6126 in package description
  * Bump Standards-Version to 3.9.2 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 21 May 2011 00:44:27 +0200

babeld (1.1.0-1) unstable; urgency=low

  * New upstream release
  * Add NEWS file to document incompatible changes
  * Bump Standards-Version to 3.9.1
  * Bump debhelper compat level to 8

 -- Stéphane Glondu <glondu@debian.org>  Sat, 12 Feb 2011 12:26:16 +0100

=== debian/control ===
Source: babeld
Section: net
Priority: extra
Maintainer: Stéphane Glondu <glondu@debian.org>
Build-Depends: debhelper (>= 8)
Standards-Version: 3.9.2
Homepage: http://www.pps.jussieu.fr/~jch/software/babel/
Vcs-Browser: http://git.debian.org/?p=collab-maint/babeld.git
Vcs-Git: git://git.debian.org/git/collab-maint/babeld.git

Package: babeld
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Recommends: ahcpd
Description: loop-free distance-vector routing protocol
 Babel is a distance-vector routing protocol for IPv6 and IPv4 with
 fast convergence properties, described in RFC 6126. It was designed
 to be robust and efficient on both wireless mesh networks and
 classical wired networks. Babel has extremely modest memory and CPU
 requirements. Unlike most routing protocols, which route either IPv4
 or IPv6 but not both at the same time, Babel is a hybrid IPv6 and
 IPv4 protocol: a single update packet can carry both IPv6 and IPv4
 routes (this is similar to how multi-protocol BGP works). This makes
 Babel particularly efficient on dual (IPv6 and IPv4) networks.

## babeld 1.1.3

=== debian/changelog ===
babeld (1.1.3-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 04 Aug 2011 23:01:40 +0200

babeld (1.1.2-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 28 Jul 2011 23:26:01 +0200

## babeld 1.2.0

=== debian/changelog ===
babeld (1.2.0-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 11 Sep 2011 18:27:01 +0200

## babeld 1.2.1

=== Makefile ===
--- 
+++ 
@@ -9,10 +9,10 @@
 LDLIBS = -lrt
 
 SRCS = babeld.c net.c kernel.c util.c network.c source.c neighbour.c \
-       route.c xroute.c message.c resend.c config.c local.c
+       route.c xroute.c message.c resend.c configuration.c local.c
 
 OBJS = babeld.o net.o kernel.o util.o network.o source.o neighbour.o \
-       route.o xroute.o message.o resend.o config.o local.o
+       route.o xroute.o message.o resend.o configuration.o local.o
 
 babeld: $(OBJS)
 	$(CC) $(CFLAGS) $(LDFLAGS) -o babeld $(OBJS) $(LDLIBS)

=== debian/changelog ===
babeld (1.2.1-1) unstable; urgency=low

  * New upstream release
  * Updated description suggested by Boris Ganne

 -- Stéphane Glondu <glondu@debian.org>  Wed, 23 Nov 2011 07:49:31 +0100

## babeld 1.3.0

=== debian/changelog ===
babeld (1.3.0-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Thu, 08 Dec 2011 20:49:12 +0100

=== debian/control ===
--- 
+++ 
@@ -23,4 +23,24 @@
  or IPv6 but not both at the same time, Babel is a hybrid IPv6 and
  IPv4 protocol: a single update packet can carry both IPv6 and IPv4
  routes (this is similar to how multi-protocol BGP works). This makes
- Babel particularly efficient on dual (IPv6 and IPv4) networks.
+ Babel particularly efficient on dual (IPv6 and IPv4) networks. This
+ implementation also includes a radio frequency-aware variant of
+ Babel.
+ .
+ Babel has the following features:
+  * it is a distance-vector protocol;
+  * it is a proactive protocol, but with adaptative (reactive)
+    features;
+  * it senses link quality for computing route metrics using a variant
+    of the ETX algorithm;
+  * it uses a feasibility condition that guarantees the absence of
+    loops (the feasibility condition is taken from EIGRP and is
+    somewhat less strict than the one in AODV);
+  * it uses sequence numbers to make old routes feasible again (like
+    DSDV and AODV, but unlike EIGRP);
+  * it speeds up convergence by reactively requesting a new sequence
+    number (like AODV, and to a certain extent EIGRP, but unlike
+    DSDV);
+  * it allows redistributed external routes to be injected into the
+    routing domain at multiple points (like EIGRP, but unlike DSDV and
+    AODV).

## babeld 1.3.1

=== debian/changelog ===
babeld (1.3.1-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 11 Feb 2012 15:35:39 +0100

## babeld 1.4.2

=== debian/changelog ===
babeld (1.4.2-2) unstable; urgency=low

  * Suggest ahcpd instead of recommending it (Closes: #712820)

 -- Stéphane Glondu <glondu@debian.org>  Thu, 20 Jun 2013 07:25:56 +0200

babeld (1.4.2-1) unstable; urgency=low

  * New upstream release
  * Use canonical URLs in Vcs-* fields

 -- Stéphane Glondu <glondu@debian.org>  Wed, 19 Jun 2013 21:25:52 +0200

babeld (1.4.1-1) unstable; urgency=low

  * New upstream release (Closes: #709919)
  * Add logrotate support (Closes: #659618)
  * Switch debian/copyright to format version 1.0
  * Bump Standards-Version to 3.9.4
  * Bump debhelper compat level to 9

 -- Stéphane Glondu <glondu@debian.org>  Sun, 26 May 2013 21:03:16 +0200

## babeld 1.4.3

=== Makefile ===
--- 
+++ 
@@ -8,10 +8,10 @@
 
 LDLIBS = -lrt
 
-SRCS = babeld.c net.c kernel.c util.c network.c source.c neighbour.c \
+SRCS = babeld.c net.c kernel.c util.c interface.c source.c neighbour.c \
        route.c xroute.c message.c resend.c configuration.c local.c
 
-OBJS = babeld.o net.o kernel.o util.o network.o source.o neighbour.o \
+OBJS = babeld.o net.o kernel.o util.o interface.o source.o neighbour.o \
        route.o xroute.o message.o resend.o configuration.o local.o
 
 babeld: $(OBJS)

=== debian/changelog ===
babeld (1.4.3-1) unstable; urgency=low

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Fri, 22 Nov 2013 00:12:28 +0100

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,18 @@
 Section: net
 Priority: extra
 Maintainer: Stéphane Glondu <glondu@debian.org>
-Build-Depends: debhelper (>= 8)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.4
 Homepage: http://www.pps.jussieu.fr/~jch/software/babel/
-Vcs-Browser: http://git.debian.org/?p=collab-maint/babeld.git
-Vcs-Git: git://git.debian.org/git/collab-maint/babeld.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/babeld.git
+Vcs-Git: git://anonscm.debian.org/collab-maint/babeld.git
 
 Package: babeld
 Architecture: any
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
-Recommends: ahcpd
+Suggests: ahcpd
 Description: loop-free distance-vector routing protocol
  Babel is a distance-vector routing protocol for IPv6 and IPv4 with
  fast convergence properties, described in RFC 6126. It was designed

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR := debian/babeld

%:
	dh $@

.PHONY: override_dh_auto_install
override_dh_auto_install:
	$(MAKE) install TARGET=$(DESTDIR) PREFIX=/usr
	mv $(DESTDIR)/usr/bin $(DESTDIR)/usr/sbin
	mkdir -p $(DESTDIR)/usr/share
	mv $(DESTDIR)/usr/man $(DESTDIR)/usr/share

## babeld 1.5.1

=== debian/changelog ===
babeld (1.5.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sun, 06 Jul 2014 22:45:10 +0200

babeld (1.5.0-1) unstable; urgency=medium

  * New upstream release (Closes: #751436)
  * Bump Standards-Version to 3.9.5

 -- Stéphane Glondu <glondu@debian.org>  Fri, 13 Jun 2014 13:14:34 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Stéphane Glondu <glondu@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 Homepage: http://www.pps.jussieu.fr/~jch/software/babel/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/babeld.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/babeld.git

=== debian/watch ===
version=3
http://www.pps.jussieu.fr/~jch/software/files/ babeld-(.*).tar.gz

## babeld 1.6.1

=== debian/changelog ===
babeld (1.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Stéphane Glondu <glondu@debian.org>  Sat, 20 Jun 2015 11:33:19 +0200

babeld (1.6.0-1) unstable; urgency=medium

  * New upstream release
  * debian/watch: add checking of upstream signature
  * Bump Standards-Version to 3.9.6 (no changes)

 -- Stéphane Glondu <glondu@debian.org>  Sat, 02 May 2015 12:00:22 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Stéphane Glondu <glondu@debian.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.5
-Homepage: http://www.pps.jussieu.fr/~jch/software/babel/
+Standards-Version: 3.9.6
+Homepage: http://www.pps.univ-paris-diderot.fr/~jch/software/babel/
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/babeld.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/babeld.git

## babeld 1.7.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,5 @@
 PREFIX = /usr/local
+MANDIR = $(PREFIX)/share/man
 
 CDEBUGFLAGS = -Os -g -Wall
 
@@ -9,13 +10,24 @@
 LDLIBS = -lrt
 
 SRCS = babeld.c net.c kernel.c util.c interface.c source.c neighbour.c \
-       route.c xroute.c message.c resend.c configuration.c local.c
+       route.c xroute.c message.c resend.c configuration.c local.c \
+       disambiguation.c rule.c
 
 OBJS = babeld.o net.o kernel.o util.o interface.o source.o neighbour.o \
-       route.o xroute.o message.o resend.o configuration.o local.o
+       route.o xroute.o message.o resend.o configuration.o local.o \
+       disambiguation.o rule.o
 
 babeld: $(OBJS)
 	$(CC) $(CFLAGS) $(LDFLAGS) -o babeld $(OBJS) $(LDLIBS)
+
+babeld.o: babeld.c version.h
+
+local.o: local.c version.h
+
+kernel.o: kernel_netlink.c kernel_socket.c
+
+version.h:
+	./generate-version.sh > version.h
 
 .SUFFIXES: .man .html
 
@@ -38,14 +50,12 @@
 	cp -f babeld $(TARGET)$(PREFIX)/bin
 
 install: install.minimal all
-	mkdir -p $(TARGET)$(PREFIX)/man/man8
-	cp -f babeld.man $(TARGET)$(PREFIX)/man/man8/babeld.8
+	mkdir -p $(TARGET)$(MANDIR)/man8
+	cp -f babeld.man $(TARGET)$(MANDIR)/man8/babeld.8
 
 uninstall:
 	-rm -f $(TARGET)$(PREFIX)/bin/babeld
-	-rm -f $(TARGET)$(PREFIX)/man/man8/babeld.8
+	-rm -f $(TARGET)$(MANDIR)/man8/babeld.8
 
 clean:
-	-rm -f babeld babeld.html *.o *~ core TAGS gmon.out
-
-kernel.o: kernel_netlink.c kernel_socket.c
+	-rm -f babeld babeld.html version.h *.o *~ core TAGS gmon.out

=== debian/changelog ===
babeld (1.7.0-1build1) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:13:59 +0000

babeld (1.7.0-1) unstable; urgency=medium

  * New upstream release
  * Check presence of babeld.conf in init script (Closes: #797413)
  * Update Vcs-*

 -- Stéphane Glondu <glondu@debian.org>  Sun, 07 Feb 2016 16:10:50 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: babeld
 Section: net
 Priority: extra
-Maintainer: Stéphane Glondu <glondu@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stéphane Glondu <glondu@debian.org>
 Build-Depends: debhelper (>= 9)
 Standards-Version: 3.9.6
 Homepage: http://www.pps.univ-paris-diderot.fr/~jch/software/babel/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/babeld.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/babeld.git
+Vcs-Browser: https://anonscm.debian.org/git/collab-maint/babeld.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/babeld.git
 
 Package: babeld
 Architecture: any

## babeld 1.8.2

=== debian/changelog ===
babeld (1.8.2-1) unstable; urgency=medium

  * New upstream release.

 -- Benda Xu <heroxbd@gentoo.org>  Thu, 17 May 2018 20:27:56 +0900

babeld (1.8.1-1) unstable; urgency=medium

  * New upstream release (Closes: #884493).
  * Add myself as uploader.  Thanks kilobyte!
  * Update Vcs fields to salsa.
  * Bump standards to 4.1.4.
  * Change package priority to optional.
  * Depend on lsb-base.

 -- Benda Xu <heroxbd@gentoo.org>  Sat, 14 Apr 2018 11:18:07 +0900

babeld (1.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Benda Xu <heroxbd@gentoo.org>  Mon, 25 Dec 2017 18:31:03 +0900

## babeld 1.8.3

=== debian/changelog ===
babeld (1.8.3-1) unstable; urgency=medium

  * New upstream release.

 -- Benda Xu <heroxbd@gentoo.org>  Tue, 25 Sep 2018 08:33:24 +0800

=== debian/rules ===
#!/usr/bin/make -f

DESTDIR := debian/babeld

%:
	dh $@

.PHONY: override_dh_auto_install
override_dh_auto_install:
	$(MAKE) install TARGET=$(DESTDIR) PREFIX=/usr
	mv $(DESTDIR)/usr/bin $(DESTDIR)/usr/sbin

## babeld 1.9.1

=== Makefile ===
--- 
+++ 
@@ -32,11 +32,7 @@
 .SUFFIXES: .man .html
 
 .man.html:
-	rman -f html $< | \
-	sed -e "s|<a href='babeld.8'|<a href=\"babeld.html\"|" \
-            -e "s|<a href='\\(ahcp[-a-z]*\\).8'|<a href=\"../ahcp/\1.html\"|" \
-	    -e "s|<a href='[^']*8'>\\(.*(8)\\)</a>|\1|" \
-	> $@
+	mandoc -Thtml $< > $@
 
 babeld.html: babeld.man

=== debian/changelog ===
babeld (1.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Benda Xu <heroxbd@gentoo.org>  Sun, 26 Jan 2020 13:53:14 +0800

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: babeld
 Section: net
-Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stéphane Glondu <glondu@debian.org>
+Priority: optional
+Maintainer: Stéphane Glondu <glondu@debian.org>
+Uploaders: Benda Xu <heroxbd@gentoo.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Standards-Version: 4.1.4
 Homepage: http://www.pps.univ-paris-diderot.fr/~jch/software/babel/
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/babeld.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/babeld.git
+Vcs-Browser: https://salsa.debian.org/debian/babeld
+Vcs-Git: https://salsa.debian.org/debian/babeld.git
 
 Package: babeld
 Architecture: any
 Depends:
+ lsb-base,
  ${shlibs:Depends},
  ${misc:Depends}
 Suggests: ahcpd

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
http://www.pps.univ-paris-diderot.fr/~jch/software/files/ babeld-(.*).tar.gz

## babeld 1.12.1

=== rfc6234/Makefile ===
# Makefile for rfc6234 code examples

BINS += shatest
DEPS = Makefile

# Prettifiers
LINK    = @echo "* Linking $@"; $(CC) $(CFLAGS) $(LDFLAGS)

all: ${BINS}
	@echo "* All Done"

OBJS := $(shell ls *.c | sed 's/\.c/.o/' | sed 's/ /\n/g' | sort | uniq | tr '\n' ' ')

-include $(OBJS:.o=.d)

depend: clean
	@echo "* Making dependencies for $(OBJS)"
	@$(MAKE) -s $(OBJS)
	@echo "* Making dependencies - done"

clean:
	@echo "* Cleansing"
	@rm -rf $(BINS) *.o *.so *.lo *.la *.slo *.loT *.d

shatest: $(DEPS) $(OBJS)
	$(LINK) -o $@ $(OBJS)

%.o: %.c $(DEPS)
	@echo "* Compiling $@";
	@$(CC) -c $(CFLAGS) $*.c -o $*.o
	@$(CC) -MM $(CFLAGS) $*.c > $*.d
	@cp -f $*.d $*.d.tmp
	@sed -e 's/.*://' -e 's/\\$$//' < $*.d.tmp | fmt -1 | \
	  sed -e 's/^ *//' -e 's/$$/:/' >> $*.d
	@rm -f $*.d.tmp

=== debian/changelog ===
babeld (1.12.1-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field.

  [ Benda Xu ]
  * New upstream release. (Closes: #1010610)

  [ Daniel Gröber ]
  * Use the system BLAKE2 library.

 -- Benda Xu <orv@debian.org>  Sun, 09 Oct 2022 21:39:47 +0800

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Section: net
 Priority: optional
 Maintainer: Stéphane Glondu <glondu@debian.org>
-Uploaders: Benda Xu <heroxbd@gentoo.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 4.1.4
+Uploaders: Benda Xu <orv@debian.org>
+Build-Depends: debhelper-compat (= 13), libb2-dev
+Standards-Version: 4.6.0
 Homepage: http://www.pps.univ-paris-diderot.fr/~jch/software/babel/
 Vcs-Browser: https://salsa.debian.org/debian/babeld
 Vcs-Git: https://salsa.debian.org/debian/babeld.git
+Rules-Requires-Root: no
 
 Package: babeld
 Architecture: any

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.irif.fr/~jch/software/files/ babeld-(.*).tar.gz

## babeld 1.13.1%2Bds

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1

include /usr/share/dpkg/buildflags.mk

DESTDIR := debian/tmp

%:
	dh $@

export BLAKE_SRCS=
export BLAKE_CFLAGS=
export LDLIBS=-lb2

override_dh_auto_install:
	dh_auto_install -- TARGET=$(DESTDIR) PREFIX=/usr

## babeld 1.13.1+ds

=== Makefile ===
--- 
+++ 
@@ -11,11 +11,11 @@
 
 SRCS = babeld.c net.c kernel.c util.c interface.c source.c neighbour.c \
        route.c xroute.c message.c resend.c configuration.c local.c \
-       disambiguation.c rule.c
+       hmac.c rfc6234/sha224-256.c BLAKE2/ref/blake2s-ref.c
 
 OBJS = babeld.o net.o kernel.o util.o interface.o source.o neighbour.o \
        route.o xroute.o message.o resend.o configuration.o local.o \
-       disambiguation.o rule.o
+       hmac.o rfc6234/sha224-256.o BLAKE2/ref/blake2s-ref.o
 
 babeld: $(OBJS)
 	$(CC) $(CFLAGS) $(LDFLAGS) -o babeld $(OBJS) $(LDLIBS)
@@ -54,4 +54,4 @@
 	-rm -f $(TARGET)$(MANDIR)/man8/babeld.8
 
 clean:
-	-rm -f babeld babeld.html version.h *.o *~ core TAGS gmon.out
+	-rm -f babeld babeld.html version.h *.o */*.o */*/*.o *~ core TAGS gmon.out

=== debian/changelog ===
babeld (1.13.1+ds-1) unstable; urgency=medium

  [ Benda Xu ]
  * debian/control: use debian email address.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update standards version to 4.6.1, no changes needed.

  [ Shengqi Chen ]
  * d/copyright: exclude vendored BLAKE2 source code
  * d/watch:
    + use +ds as repack suffix
    + update standard version
  * New upstream version 1.13.1+ds
  * d/patches:
    + add Forwarded header
    + add patch to pass CFLAGS from dpkg
  * d/rules: enable hardening flags
  * d/control:
    + bump std-ver to 4.7.0
    + remove obsolete B-D
    + add Pre-Depends to make lintian happy
  * d/upstream: strip all signatures from signing keys
  * d/source: remove useless include-binaries file
  * Reorganize metadata for babeld binary package
  * d/babeld.conf: add default content in conffile
  * Add systemd unit babeld.service (closes: #1039134)

 -- Benda Xu <orv@debian.org>  Wed, 16 Oct 2024 20:48:50 +0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Stéphane Glondu <glondu@debian.org>
 Uploaders: Benda Xu <orv@debian.org>
 Build-Depends: debhelper-compat (= 13), libb2-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: http://www.pps.univ-paris-diderot.fr/~jch/software/babel/
 Vcs-Browser: https://salsa.debian.org/debian/babeld
 Vcs-Git: https://salsa.debian.org/debian/babeld.git
@@ -13,9 +13,9 @@
 Package: babeld
 Architecture: any
 Depends:
- lsb-base,
  ${shlibs:Depends},
  ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: ahcpd
 Description: loop-free distance-vector routing protocol
  Babel is a distance-vector routing protocol for IPv6 and IPv4 with

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/,\
repacksuffix=+ds,dversionmangle=s/\+ds//g" \
https://www.irif.fr/~jch/software/files/ babeld-(.*).tar.gz
